<div id = "register">
  <div style="margin-top: 7%;">
    
    <div class="signup-form" >
      <form *ngIf="!isLoggedIn"
      name="form"
      (ngSubmit)="f.form.valid && onSubmit()"
      #f="ngForm"
      novalidate>
          <div class="form-header">
              <h2>Sign In</h2>
              <p>Fill out this form to start your free trial!</p>
          </div>
          <div class="form-group">
              <label for="username">Username</label>
              <input type="text"
              class="form-control"
              name="username"
              [(ngModel)]="form.username"
              required
              #username="ngModel"/>
              <div
          class="alert alert-danger"
          role="alert"
          *ngIf="f.submitted && username.invalid"
        >
          Username is required!
              </div>
            </div>
          <div class="form-group">
              <label for="password">Password</label>
              <input type="password"
              class="form-control"
              name="password"
              [(ngModel)]="form.password"
              required
              minlength="6"
              #password="ngModel"/>
              <div
              class="alert alert-danger"
              role="alert"
              *ngIf="f.submitted && password.invalid"
            >
              <div *ngIf="password.errors.required">Password is required</div>
              <div *ngIf="password.errors.minlength">
                Password must be at least 6 characters
              </div>
            </div>
          </div>
          
          
          <div class="form-group">
              <button type="submit" class="btn btn-primary btn-block btn-lg">Sign In</button>
      
          </div>
          <div class="form-group">
            <div
              class="alert alert-danger"
              role="alert"
              *ngIf="f.submitted && isLoginFailed"
            >
              Login failed: {{ errorMessage }}
            </div>
          </div>
         
      </form>
      <div class="alert alert-success" *ngIf="isLoggedIn">
        Logged in as {{ roles }}.
      </div>
  </div>
  </div>
</div>
 